# [[file:../arcology.org::*admin][admin:1]]
from django.contrib import admin
import arcology.models


class DomainInline(admin.TabularInline):
    model = arcology.models.SiteDomain


@admin.register(arcology.models.Site)
class SiteAdmin(admin.ModelAdmin):
    inlines = [DomainInline]


@admin.register(arcology.models.Page)
class PageAdmin(admin.ModelAdmin):
    pass


@admin.register(arcology.models.Feed)
class FeedAdmin(admin.ModelAdmin):
    pass

@admin.register(arcology.models.FeedEntry)
class FeedEntryAdmin(admin.ModelAdmin):
    list_display = ["heading", "route_key", "pubdate", "title"]
# admin:1 ends here
