# [[file:../sitemap.org::*Django View Setup][Django View Setup:2]]
from django.contrib import admin
from django.urls import path, re_path, include

from sitemap import views

urlpatterns = [
    path("tags", views.tags_index, name="sitemap"),
    path("tags/", views.tags_index, name="sitemap"),
    path("tags/<slug:tag>", views.tag_page, name="sitemap"),
    path("sitemap", views.sitemap, name="sitemap"),
    path("sitemap.json", views.sitemap_data, name="sitemap"),
]
# Django View Setup:2 ends here
